package com.gic.haoban.manage.web.vo.clerktask;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

public class ClerkTaskListVO implements Serializable {

    /**id*/
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long planId;
    /**名称*/
    private String title;
    /**开始日期*/
    private java.util.Date beginDate;
    /**结束日期*/
    private java.util.Date endDate;
    /**1召回 2企微 3内容*/
    private int taskType;

    /**1未开始  2进行中  3已结束  4已过期 */
    private int status;

    /**
     * 图片
     */
    private String img ;

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public int getTaskType() {
        return taskType;
    }

    public void setTaskType(int taskType) {
        this.taskType = taskType;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }
}
